Update cloud connector
Server:
https://{kibana_url}
- PUT /api/fleet/cloud_connectors/{cloudConnectorId}
- PUT /s/{space_id}/api/fleet/cloud_connectors/{cloudConnectorId}
Refer to Spaces for more information.
Update a cloud connector by ID.
[Required authorization] Route required privileges: fleet-agent-policies-all OR integrations-all.
Path Parameters
-
cloudConnectorIdstringrequired -
The unique identifier of the cloud connector to update.
Request
-
accountType -
The account type: single-account (single account/subscription) or organization-account (organization-wide).
-
Values:
single-accountorganization-account -
namestring · min: 1 · max: 255 -
The name of the cloud connector.
-
varsmap string to anyOf
Responses
Successful response
-
itemobjectrequired -
accountTypestring -
cloudProviderstringrequired -
created_atstringrequired -
idstringrequired -
namestringrequired -
namespacestring -
packagePolicyCountnumberrequired -
updated_atstringrequired -
varsmap string to objectrequired -
verification_failed_atstring -
verification_started_atstring -
verification_statusstring
Bad Request
-
attributesobjectrequired -
errorstring -
errorTypestring -
messagestringrequired -
statusCodenumber